UpdateResourceStack
UpdateResourceStack
PUT
/zstack/v1/cloudformation/stack/{uuid}/actionsOperation ID
UpdateResourceStackSince
2.5.0Execution Mode
SynchronousAuth Context
Auth RequiredAuth Context
Send these values as request headers when calling this API.
AuthorizationstringRequiredBearer Token
X-Tenant-IDstringX-Tenant-ID
Request Inputs
application/jsonPath Parameters
uuidStringRequiredThe stack UUID.
Body Fields
nameStringOptional. The resource name.
descriptionStringOptional. The detailed description of the resource.
rollbackBooleanOptional. Whether to roll back if stack creation fails.
templateContentStringOptional. The stack content, which is a JSON string.
parametersStringOptional. The parameters in the stack. The parameters are JSON strings.
